semanage_count(3)

NAME
semanage_count - SELinux Management API

SYNOPSIS
The following count function is supported for any semanage record.
Replace the function and object name as necessary.

extern int COUNT_FUNCTION (
semanage_handle_t *handle,
unsigned int* response);

DESCRIPTION

Behavior:
    The count function will return the number of all objects in the selected location.

Parameters:
    The handle is used to track persistent state across semanage calls, and for error reporting. The number of objects will be stored at the location pointed by response.

Requirements:
    This function requires an semanage connection to be established (see semanage_connect(3) )

RETURN VALUE
In case of failure, -1 is returned, and the semanage error callback is invoked, describing the error. Otherwise a non-negative integer is returned (a commit number). The same number will be returned by all other semanage object read calls until the next commit.

SEE ALSO
semanage_handle_create(3), semanage_connect(3),